package com.app.action;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.app.model.User;
import com.app.service.UserManager;

public final class LoginAction extends Action {

	private UserManager userManager = null;

	public void setUserManager(UserManager userManager) {
		this.userManager = userManager;
	}

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception, ServletException {

		// Rcuprer le login et password du formulaire. 
		String userName = request.getParameter("login");
		String password = request.getParameter("password");

		// Traitement
		User user = userManager.getUser(userName, password);
		if (user != null) {
			return mapping.findForward("success");
		} else {
			return mapping.findForward("failure");
		}

	}
}
